      program osc
      implicit real*8 (a-h,o-z)
      parameter(nmax=637673664/10)
      a=205.0d0/103.0d0      
      x=0
      y=1045
      do 10 n=1,nmax
         z=a*y-x
         x=y
         y=z
   10 continue
      write(6,20) nmax,x,nmax+1,y
   20 format(' i(',i12,')=',f24.16)
      end
